#version 100
#extension GL_OES_EGL_image_external : require

precision highp float;
varying highp vec2 textureCoordinate;
uniform sampler2D videoTexture;
uniform sampler2D uImageTexture;
uniform vec4 imageRect;

void main(){
    lowp vec4 c1 = texture2D(videoTexture, textureCoordinate);
    lowp vec2 vCamTextureCoord2 = vec2(textureCoordinate.x, 1.0-textureCoordinate.y);
    if (vCamTextureCoord2.x>imageRect.r && vCamTextureCoord2.x<imageRect.b && vCamTextureCoord2.y>imageRect.g && vCamTextureCoord2.y<imageRect.a)
    {
        vec2 imagexy = vec2((vCamTextureCoord2.x-imageRect.r)/(imageRect.b-imageRect.r), (vCamTextureCoord2.y-imageRect.g)/(imageRect.a-imageRect.g));
        lowp vec4 c2 = texture2D(uImageTexture, imagexy);
        lowp vec4 outputColor = c2+c1*c1.a*(1.0-c2.a);
        outputColor.a = 1.0;
        gl_FragColor = outputColor;
    } else {
        gl_FragColor = c1;
    }
}
